@import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@300;400;600;700&display=swap');
/* TODO: RESPONSIVE DESIGN */
/* ------ GENERAL ------ */
.open-sans {
  font-family: "Open Sans", sans-serif;
  font-optical-sizing: auto;
  font-weight: 500;
  font-style: normal;
  font-variation-settings: "wdth" 100;
}

input, select {
  border: 1px solid #ccc;
  border-radius: 4px;
  box-sizing: border-box;
}

head {
  margin: 0;
}

body { 
  background-color: #fafafa;
  margin: 1em 1.5em;
}

h1, h2, h3, h4 {
  margin: 0;
}

p {
  margin-top: 0;
  margin-bottom: 0;
}

/* ------ INPUT FORM ------ */

.form-block{
  display: inline-block;
}

.form-subtitle {
  margin-top: 1em;
}

.form-row {
  margin-top: 1em;
}

.input-wrapper {
  border-style: solid;
  padding: 10px;
  flex: 0 0 450px;
}

.btn {
  color: white;
  border: none;
  font-size: 1em;
  padding: 0.3em;
}

#train-button {
  background: black;
  cursor: pointer;
}

#download-button {
  background: grey;
  cursor: default;
}

/* ------ OUTPUT SECTION ------ */

#outputs {
  flex: 1 1 auto;
  border-style: solid;
  padding: 10px;
  overflow-y: auto;
}

#sample-display {
  white-space: pre-wrap;
}

/* ------ WRAPPER ------ */

@media (max-width: 900px) {
  .flex-wrapper {
    flex-direction: column; /* instead of row */
  }

  .input-wrapper {
    flex: 0 0 auto;
  }
}

@media (min-width: 900px) {
  .flex-wrapper {
    height: 470px;
  }
}

.flex-wrapper{
  /* general properties */
  display: flex;
  gap: 20px;

  /* overflow behaviour */
  overflow-x: hidden;
  overflow-y: auto;
  overflow-wrap: anywhere;
}
